> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/appendices/appendix-e-concept-enumerations/e7-concept-enumerations-for-relationship-typeid.md).

# E.7 Concept Enumerations for Relationship typeId

This concept enumeration represents a value that can be applied to the *relationship*.typeId field. This is used to identify the concept model attribute that determines the type of relationship between two concepts. Exhibit E.7-1 shows the full range of values of values that can be applied to the *relationship*.*typeId* field.

{% hint style="danger" %}
The concept model attribute values that can be applied depend on the concept model domain of the concept in the *relationship*.sourceId of the defining relationship. For further details related to the concept model see the [Machine Readable Concept Model ](https://docs.snomed.org/snomed-ct-specifications/snomed-ct-machine-readable-concept-model/)specification and guide.
{% endhint %}

**Exhibit E.7-1: Subtype and Concept Model Attributes**

|                                                                                                                       |
| --------------------------------------------------------------------------------------------------------------------- |
| <p>/\* subtype relationship to a supertype concept \*/<br><a href="http://snomed.info/id/116680003">116680003</a></p> |

***

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=Release+File+Specification&#x26;entry.670899847=E.7%20Concept%20Enumerations%20for%20Relationship%20typeId" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.snomed.org/snomed-ct-specifications/snomed-ct-release-file-specification/appendices/appendix-e-concept-enumerations/e7-concept-enumerations-for-relationship-typeid.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
